Bug 1258158 - Second external monitor on laptop (3rd display) cannot be enabled in Wayland session
Second external monitor on laptop (3rd display) cannot be enabled in Wayland ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: wayland (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-29 13:50 EDT by Brion Vibber
Modified: 2016-12-20 09:31 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 09:31:08 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot showing only one external display active (903.05 KB, image/jpeg)
2015-08-29 13:50 EDT, Brion Vibber
no flags Details

  None (edit)
Description Brion Vibber 2015-08-29 13:50:36 EDT
Created attachment 1068309 [details]
Screenshot showing only one external display active

Description of problem:

On my MacBook Pro 12,1 (13" Retina early 2015) with two external Dell P2415Q Ultra-HD monitors connected via DisplayPort (on separate Thunderbolt ports), the second external display is recognized but disabled in a Wayland session. I see it listed as "Off" in the Displays settings dialog but cannot enable it.

Same configuration works in X session.


Version-Release number of selected component (if applicable):

Fedora 23 alpha


How reproducible:

Every time


Steps to Reproduce:
1. Connect two Dell P2415Q monitors, each on separate DisplayPort/Thunderbolt port
2. Start Wayland session


Actual results:

Only the laptop screen and first external monitor are enabled. Cannot manually enable the second external screen.


Expected results:

Laptop screen and both external monitors should work in Wayland, as they do in X.



Additional info:
Comment 1 Fedora End Of Life 2016-11-24 07:24:44 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2016-12-20 09:31:08 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.